{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load i18n %}
{% block title %}
    {% trans "Register" %}
{% endblock %}

{% block body %}
    <div class="container-fluid mb-2">
        <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
            <a class="navbar-brand" href="#">اسنپ فود</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarNavDropdown"
                    aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">ورود</a>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">عضویت</a>
                    </li>
                </ul>
            </div>
        </nav>

    </div>
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-7">
                <div class="card mt-5">
                    <div class="card-body">
                        <form action="{% url 'account:register' %}" method="post">
                            {% csrf_token %}
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.name|as_crispy_field }}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.email|as_crispy_field }}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.phone_number|as_crispy_field }}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.password|as_crispy_field }}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.password2|as_crispy_field }}
                                </div>

                            </div>
                            <div class="form-group row justify-content-center">
                                <div class="col-6 ">
                                    <button type="submit"
                                            class="btn btn-danger btn-block ">
                                        ثبت نام
                                    </button>
                                </div>
                            </div>
                            <div class="row justify-content-center mt-4">
                                <h6>قبلا ثبت نام کرده اید؟ </h6>
                                <h6><a href="{% url 'account:login_email' %}">ورود به اسنپ فود</a></h6>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
